Bug 474746 - Review Request: supybot-koji - Plugin for Supybot to interact with Koji instances
Review Request: supybot-koji - Plugin for Supybot to interact with Koji insta...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 23:48 EST by Jon Stanley
Modified: 2014-11-12 18:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 06:31:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-12-04 23:48:44 EST
SRPM URL: http://jstanley.fedorapeople.org/supybot-koji-0.1-1.fc9.src.rpm
Spec URL: http://jstanley.fedorapeople.org/supybot-koji.spec
Description:

A Supybot plugin which provides access to the status of a Koji buildsystem
and makes it available via IRC.
Comment 1 manuel wolfshant 2008-12-05 06:42:56 EST
Source0 should be https://fedorahosted.org/releases/s/u/%name/%{name}-%{version}.tar.bz2-0.1.tar.bz2474746

%install lacks rm -rf $RPM_BUILD_ROOT

Everyhing else seems fine, please fix the above and we are good to go.
Comment 2 Jon Stanley 2008-12-05 21:06:01 EST
Oh, never mind about the %install in the other bug, I was thinking about the wrong end of %install :)  More caffeine required.

All fixed, new one for this is at http://jstanley.fedorapeople.org/supybot-koji-0.1-2.fc9.src.rpm
Comment 3 manuel wolfshant 2008-12-06 06:06:33 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type as specidied by spec:BSD with advertising
     License type from source: New BSD (no advertising, 3 clause)
==> http://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD seems closer to the license in the source file
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package do not match the upstream source, as provided in the spec URL.
     SHA1SUM : 1914235584a8f004b283a0ffbaab7923b04fc2a0 supybot-koji-0.1.tar.bz2
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on:package is noarch, should work on any arch with a proper python
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


=== Note ===
As for supybot-fedora, please recheck the license. I think that http://fedoraproject.org/wiki/Licensing/BSD#3ClauseBSD is the correct one to be used in the spec and not http://fedoraproject.org/wiki/Licensing/BSD#BSDwithAdvertising

APPROVED
Comment 4 Jon Stanley 2008-12-07 16:55:35 EST
New Package CVS Request
=======================
Package Name: supybot-koji
Short Description: Supybot plugin to intercat with Koji instances
Owners: jstanley
Branches: EL-5 F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2008-12-07 19:38:58 EST
cvs done.
Comment 6 Fedora Update System 2008-12-07 20:53:39 EST
supybot-fedora-0.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/supybot-fedora-0.2-4.fc10
Comment 7 Fedora Update System 2008-12-07 21:17:03 EST
supybot-koji-0.1-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/supybot-koji-0.1-3.fc9
Comment 8 Fedora Update System 2008-12-07 21:18:38 EST
supybot-koji-0.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/supybot-koji-0.1-3.fc10
Comment 9 Fedora Update System 2008-12-09 06:31:50 EST
supybot-koji-0.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-09 06:38:02 EST
supybot-fedora-0.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-09 06:38:50 EST
supybot-koji-0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Kevin Fenzi 2014-11-12 17:19:56 EST
Package Change Request
======================
Package Name: supybot-koji
New Branches: epel7
Owners: kevin
InitialCC:
Comment 13 Gwyn Ciesla 2014-11-12 18:02:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.